Bug 730399 - Katello service does not show a failure if it actuall fails
Summary: Katello service does not show a failure if it actuall fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-12 19:04 UTC by Bryan Kearney
Modified: 2013-03-27 20:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:52:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 714167 None None None Never

Internal Links: 714167

Description Bryan Kearney 2011-08-12 19:04:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bryan Kearney 2011-08-12 19:05:44 UTC
Whoops. Based on previous issues, running the following command

[root@unused ~]# service katello initdb
rake aborted!
Could not find gem 'regin', required by 'rails (= 3.0.5)', in any of the sources
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/resolver.rb:129:in `resolve'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/resolver.rb:127:in `catch'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/resolver.rb:127:in `resolve'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/definition.rb:151:in `resolve'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/definition.rb:90:in `specs'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/definition.rb:135:in `specs_for'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/definition.rb:124:in `requested_specs'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/environment.rb:23:in `requested_specs'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler/runtime.rb:11:in `setup'
/usr/lib/ruby/gems/1.8/gems/bundler-1.0.10/lib/bundler.rb:107:in `setup'
/usr/share/katello/config/boot.rb:8
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
/usr/share/katello/config/application.rb:1
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'


does not have a non-zero return code which puppet can recognize during installs.

Comment 2 Lukas Zapletal 2011-08-15 07:54:34 UTC
Bug in Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=714167

Comment 3 Lukas Zapletal 2011-08-15 08:03:11 UTC
17f9268 714167 - broken dependencies is F14

(Should by "in").

Comment 4 Corey Welton 2012-01-11 15:16:37 UTC
While I don't know all the corner cases, I'm fairly certain this is working at this point. If it shows up again, we can reopen.


Note You need to log in before you can comment on or make changes to this bug.